> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List jobs

> Returns all file validation monitor jobs configured for the client.



## OpenAPI

````yaml /api-reference/management.json get /v6/jobs
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v6/jobs:
    get:
      tags:
        - File Validation Monitors
      summary: List jobs
      description: Returns all file validation monitor jobs configured for the client.
      operationId: listJobs
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/JobResponse'
                type: array
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    JobResponse:
      properties:
        client_id:
          type: string
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        enabled:
          type: boolean
        id:
          readOnly: true
          type: string
        name:
          type: string
        tasks:
          items:
            $ref: '#/components/schemas/TaskResponse'
          type: array
        triggers:
          items:
            $ref: '#/components/schemas/TriggerResponse'
          type: array
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
      required:
        - client_id
        - created_date
        - enabled
        - id
        - name
        - tasks
        - triggers
        - updated_date
      type: object
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    TaskResponse:
      discriminator:
        mapping:
          FILE_HEADER_VALIDATOR:
            $ref: '#/components/schemas/FileHeaderValidatorTaskResponse'
          START_BATCH_JOB:
            $ref: '#/components/schemas/StartBatchJobTaskResponse'
        propertyName: task_type
      oneOf:
        - title: FILE_HEADER_VALIDATOR
          allOf:
            - $ref: '#/components/schemas/FileHeaderValidatorTaskResponse'
        - title: START_BATCH_JOB
          allOf:
            - $ref: '#/components/schemas/StartBatchJobTaskResponse'
      required:
        - id
        - order
        - task_type
    TriggerResponse:
      discriminator:
        mapping:
          FILE_NAME_MATCHES:
            $ref: '#/components/schemas/FileNameMatchesTriggerResponse'
          LANDS_IN_DIRECTORY:
            $ref: '#/components/schemas/LandsInDirectoryTriggerResponse'
        propertyName: trigger_type
      oneOf:
        - title: FILE_NAME_MATCHES
          allOf:
            - $ref: '#/components/schemas/FileNameMatchesTriggerResponse'
        - title: LANDS_IN_DIRECTORY
          allOf:
            - $ref: '#/components/schemas/LandsInDirectoryTriggerResponse'
      required:
        - id
        - trigger_type
    FileHeaderValidatorTaskResponse:
      allOf:
        - $ref: '#/components/schemas/TaskResponseBase'
        - properties:
            expected_headers:
              items:
                type: string
              type: array
            id:
              readOnly: true
              type: string
            match_mode:
              enum:
                - EXACT_SET
                - ORDERED
                - SUBSET
              type: string
            on_mismatch:
              enum:
                - FAIL
                - WARN
              type: string
            task_type:
              enum:
                - FILE_HEADER_VALIDATOR
              type: string
          type: object
      required:
        - expected_headers
        - id
        - match_mode
        - on_mismatch
        - order
        - task_type
      type: object
      title: FILE_HEADER_VALIDATOR
    StartBatchJobTaskResponse:
      allOf:
        - $ref: '#/components/schemas/TaskResponseBase'
        - properties:
            data_source_type:
              enum:
                - AUDIENCE_LIST
                - FILE_ASSET
                - REPORT
              type: string
            event_name:
              type: string
            id:
              readOnly: true
              type: string
            task_type:
              enum:
                - START_BATCH_JOB
              type: string
          type: object
      required:
        - data_source_type
        - event_name
        - id
        - order
        - task_type
      type: object
      title: START_BATCH_JOB
    FileNameMatchesTriggerResponse:
      allOf:
        - $ref: '#/components/schemas/TriggerResponseBase'
        - properties:
            id:
              readOnly: true
              type: string
            match_type:
              enum:
                - EXACT
                - REGEX
              type: string
            pattern:
              type: string
            trigger_type:
              enum:
                - FILE_NAME_MATCHES
              type: string
          type: object
      required:
        - id
        - match_type
        - pattern
        - trigger_type
      type: object
      title: FILE_NAME_MATCHES
    LandsInDirectoryTriggerResponse:
      allOf:
        - $ref: '#/components/schemas/TriggerResponseBase'
        - properties:
            directory_path:
              type: string
            id:
              readOnly: true
              type: string
            trigger_type:
              enum:
                - LANDS_IN_DIRECTORY
              type: string
          type: object
      required:
        - directory_path
        - id
        - trigger_type
      type: object
      title: LANDS_IN_DIRECTORY
    TaskResponseBase:
      properties:
        id:
          readOnly: true
          type: string
        order:
          format: int32
          type: integer
        task_type:
          enum:
            - FILE_HEADER_VALIDATOR
            - START_BATCH_JOB
          type: string
      type: object
    TriggerResponseBase:
      properties:
        id:
          readOnly: true
          type: string
        trigger_type:
          enum:
            - FILE_NAME_MATCHES
            - LANDS_IN_DIRECTORY
          type: string
      type: object
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````